Subject: bug#11906: 24.1; completion-at-point failures

From: Stefan Monnier <[email-masked]>
Date: Mon, 13 May 2013 11:28:28 -0400

>> As mentioned, we could try and provide a generic completion-table cache
>> so as to make it easier to write completion tables that have
>> a significant computation cost.  Patches welcome.

> Maybe I didn't understand what you mean, but AFAIK it's already
> available. You can compute a list of possible completions only once and
> then return a completion table (start end COLLECTION) where collection
> is a function described here (info "(elisp) Programmed Completion").

That's just the easy part of writing a cached completion table.

        Stefan